## org.codehaus.groovy.grails.orm.hibernate.cfg
Class HibernateMappingBuilder

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.HibernateMappingBuilder

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class HibernateMappingBuilder

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`HibernateMappingBuilder(String className)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`void` `autoImport(boolean b)`
`void` `autoTimestamp(boolean b)`
`void` `batchSize(Integer num)`
`void` `cache(boolean shouldCache)`
`void` `cache(Map args)`
`void` `cache(String usage)`
`void` `cache(String usage, Map args)`
`void` `columns(groovy.lang.Closure callable)`
`void` `discriminator(Map args)`
`void` `discriminator(String name)`
`void` `dynamicInsert(boolean b)`
`void` `dynamicUpdate(boolean b)`
`Mapping` `evaluate(groovy.lang.Closure mappingClosure)`
`String` `getClassName()`
`static Object` `getLOG()`
`Mapping` `getMapping()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`void` `hibernateCustomUserType(Map args)`
`void` `id(Map args)`
`void` `includes(groovy.lang.Closure callable)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `methodMissing(String name, Object args)`
`void` `order(String direction)`
`void` `setClassName(String value)`
`void` `setMapping(Mapping value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`void` `sort(Map nameAndDirection)`
`void` `sort(String name)`
`void` `table(Map tableDef)`
`void` `table(String name)`
`void` `tablePerHierarchy(boolean isTablePerHierarchy)`
`void` `tablePerSubclass(boolean isTablePerSubClass)`
`void` `version(boolean isVersioned)`
`void` `version(String versionColumn)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateMappingBuilder

    public HibernateMappingBuilder(String className)

Method Detail

### getLOG

    public static Object getLOG()

### getMapping

    public Mapping getMapping()

### setMapping

    public void setMapping(Mapping value)

### getClassName

    public String getClassName()

### setClassName

    public void setClassName(String value)

### evaluate

    public Mapping evaluate(groovy.lang.Closure mappingClosure)

### includes

    public void includes(groovy.lang.Closure callable)

### hibernateCustomUserType

    public void hibernateCustomUserType(Map args)

### table

    public void table(String name)

### discriminator

    public void discriminator(String name)

### discriminator

    public void discriminator(Map args)

### autoImport

    public void autoImport(boolean b)

### table

    public void table(Map tableDef)

### sort

    public void sort(String name)

### dynamicUpdate

    public void dynamicUpdate(boolean b)

### dynamicInsert

    public void dynamicInsert(boolean b)

### sort

    public void sort(Map nameAndDirection)

### batchSize

    public void batchSize(Integer num)

### order

    public void order(String direction)

### autoTimestamp

    public void autoTimestamp(boolean b)

### version

    public void version(boolean isVersioned)

### version

    public void version(String versionColumn)

### cache

    public void cache(Map args)

### cache

    public void cache(String usage)

### cache

    public void cache(String usage,
                      Map args)

### tablePerHierarchy

    public void tablePerHierarchy(boolean isTablePerHierarchy)

### tablePerSubclass

    public void tablePerSubclass(boolean isTablePerSubClass)

### cache

    public void cache(boolean shouldCache)

### id

    public void id(Map args)

### columns

    public void columns(groovy.lang.Closure callable)

### methodMissing

    public void methodMissing(String name,
                              Object args)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project